import { Component, EventEmitter, Input, Output } from '@angular/core';

@Component({
  selector: 'app-v3-search-bar',
  templateUrl: './search-bar.component.html',
  styleUrls: ['./search-bar.component.scss'],
})
export class SearchBarV3Component {
  @Input() placeholder = 'Rechercher';
  @Input({ required: true }) value = '';

  /** Triggers when input changes */
  @Output() valueChange = new EventEmitter<string>();

  /** Triggers when button is clicked or Enter is pressed on input */
  @Output() search = new EventEmitter<string>();

  public handleSearch(): void {
    this.search.emit(this.value);
  }

  public onChange(): void {
    this.valueChange.emit(this.value);
  }
}
